Skip to main content
GET
/
v0
/
human-annotation-queue-items
List human annotation queue items
curl --request GET \
  --url https://api.avidoai.com/v0/human-annotation-queue-items \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
{
  "data": [
    {
      "id": "abcdef01-e89b-12d3-a456-426614174000",
      "orgId": "org_123456",
      "applicationId": "456e7890-e89b-12d3-a456-426614174000",
      "queueId": "11112222-3333-4444-5555-666677778888",
      "traceId": "12345678-1234-1234-1234-1234567890ab",
      "completedAt": null,
      "expiresAt": "2024-04-05T12:34:56.789Z",
      "createdAt": "2024-01-05T12:34:56.789Z"
    }
  ],
  "pagination": {
    "skip": 0,
    "limit": 25,
    "total": 1,
    "totalPages": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.avidoai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

skip
integer
default:0

Number of items to skip before starting to collect the result set.

Required range: 0 <= x <= 9007199254740991
Example:

0

limit
integer

Number of items to include in the result set.

Required range: 1 <= x <= 100
Example:

25

orderBy
string
default:createdAt

Field to order by in the result set.

Example:

"createdAt"

orderDir
enum<string>
default:desc

Order direction.

Available options:
asc,
desc
Example:

"desc"

queueId
string<uuid>

Filter queue items by queue ID. Typically required by callers to view a single queue's items

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"11112222-3333-4444-5555-666677778888"

completion
enum<string>

Filter by derived completion status (computed from completedAt/expiresAt)

Available options:
PENDING,
COMPLETED,
EXPIRED,
ACTIVE
Example:

"PENDING"

traceId
string<uuid>

Filter queue items by trace ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"12345678-1234-1234-1234-1234567890ab"

Response

Successfully retrieved queue items

Paginated response containing human annotation queue items

data
HumanAnnotationQueueItem · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata returned in a paginated response.